LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSheetAuditing Interface Referencepublished

provides methods to access auditing (detective) features in a spreadsheet. More...

`import <XSheetAuditing.idl;`

Inheritance diagram for XSheetAuditing:

## Public Member Functions
boolean | hideDependents ([in] com::sun::star::table::CellAddress aPosition)
| removes arrows for one level of dependents of a formula cell.
boolean | hidePrecedents ([in] com::sun::star::table::CellAddress aPosition)
| removes arrows for one level of precedents of a formula cell.
boolean | showDependents ([in] com::sun::star::table::CellAddress aPosition)
| draws arrows between a formula cell and its dependents.
boolean | showPrecedents ([in] com::sun::star::table::CellAddress aPosition)
| draws arrows between a formula cell and its precedents.
boolean | showErrors ([in] com::sun::star::table::CellAddress aPosition)
| draws arrows between a formula cell containing an error and the cells causing the error.
boolean | showInvalid ()
| marks all cells containing invalid values.
void | clearArrows ()
| removes all auditing arrows from the spreadsheet.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides methods to access auditing (detective) features in a spreadsheet.

Developers Guide
  Spreadsheet Documents - Detective

## Member Function Documentation

## ◆ clearArrows()

void clearArrows | ( |  | ) |

removes all auditing arrows from the spreadsheet.

## ◆ hideDependents()

boolean hideDependents | ( | [in] com::sun::star::table::CellAddress | aPosition | ) |

removes arrows for one level of dependents of a formula cell.

If the method is executed again for the same cell, the previous level of dependent cells is removed.

Parameters

  aPosition | the address of the formula cell.

## ◆ hidePrecedents()

boolean hidePrecedents | ( | [in] com::sun::star::table::CellAddress | aPosition | ) |

removes arrows for one level of precedents of a formula cell.

If the method is executed again for the same cell, the previous level of dependent cells is removed.

Parameters

  aPosition | the address of the formula cell.

## ◆ showDependents()

boolean showDependents | ( | [in] com::sun::star::table::CellAddress | aPosition | ) |

draws arrows between a formula cell and its dependents.

If the method is executed again for the same cell, the next level of dependent cells is marked.

Parameters

  aPosition | the address of the formula cell.

## ◆ showErrors()

boolean showErrors | ( | [in] com::sun::star::table::CellAddress | aPosition | ) |

draws arrows between a formula cell containing an error and the cells causing the error.

## ◆ showInvalid()

boolean showInvalid | ( |  | ) |

marks all cells containing invalid values.

## ◆ showPrecedents()

boolean showPrecedents | ( | [in] com::sun::star::table::CellAddress | aPosition | ) |

draws arrows between a formula cell and its precedents.

If the method is executed again for the same cell, the next level of dependent cells is marked.

Parameters

  aPosition | the address of the formula cell.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetAuditing.idl